## BtMemoryAudioSrc BtMemoryAudioSrc — play samples from memory |

## Properties

GstCaps * | caps | Read / Write
gpointer | data | Read / Write
gulong | length | Read / Write

## Types and Values

struct | BtMemoryAudioSrc

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseSrc
                        ╰── BtMemoryAudioSrc

## Includes

    #include "bt-edit.h"

## Description

GStreamer audio source to play samples from memory. Supports interleaved multi-channels audio. Supports trickmode playback (resampling and ping-pong loops).

## Functions

## Types and Values

### struct BtMemoryAudioSrc

    struct BtMemoryAudioSrc;

audiotestsrc object structure.

## Property Details

### The `“caps”` property

      “caps”                     GstCaps *

Data format of sample.

Flags: Read / Write

### The `“data”` property

      “data”                     gpointer

The sample data (interleaved for multi-channel).

Flags: Read / Write

### The `“length”` property

      “length”                   gulong

Length of the sample in number of samples.

Flags: Read / Write

Allowed values: <= G_MAXINT64